Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359034 - [RFE] Auto-provisioning custom scripts for NIC configurations
Summary: [RFE] Auto-provisioning custom scripts for NIC configurations
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 07:04 UTC by Lukas Zapletal
Modified: 2018-09-04 19:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:06:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13847 None None None 2016-07-22 08:00:19 UTC

Description Lukas Zapletal 2016-07-22 07:04:59 UTC
Auto-provisioning rules are currently only associated with hostgroups, but these do not define NIC configurations. When user want to create a bond or change interface configuration (e.g. move to different subnet or/and boot mode), this is currently not possible.

Current idea is to provide a piece of script (ERB) that is executed during auto-provisioning and allows complex setups. We could reuse our template rendering and safe_mode code in order to associate a "template" that does something with the host.

See http://projects.theforeman.org/issues/13847 for more info.

Comment 2 Lukas Zapletal 2017-02-23 08:33:27 UTC
This is currently top requested feature for discovery.

Comment 3 Bryan Kearney 2018-09-04 18:56:07 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 4 Bryan Kearney 2018-09-04 19:06:34 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.